# Ogre::AnimationStateControllerValue Class Reference

ControllerValue wrapper class for AnimationState. More...

`#include <OgreAnimationState.h>`

Inheritance diagram for Ogre::AnimationStateControllerValue:

List of all members.

## Public Member Functions

| AnimationStateControllerValue (AnimationState *targetAnimationState)
| Constructor, pass in the target animation state.
| ~AnimationStateControllerValue ()
| Destructor (parent already virtual).
Real | getValue (void) const
| ControllerValue implementation.
void | setValue (Real value)
| ControllerValue implementation.

## Protected Attributes

AnimationState * | mTargetAnimationState

## Detailed Description

ControllerValue wrapper class for AnimationState.

Remarks:
  In Azathoth and earlier, AnimationState was a ControllerValue but this actually causes memory problems since Controllers delete their values automatically when there are no further references to them, but AnimationState is deleted explicitly elsewhere so this causes double-free problems. This wrapper acts as a bridge and it is this which is destroyed automatically.

Definition at line 184 of file OgreAnimationState.h.

## Constructor & Destructor Documentation

Ogre::AnimationStateControllerValue::AnimationStateControllerValue | ( | AnimationState * | targetAnimationState | ) |

| Constructor, pass in the target animation state. Definition at line 190 of file OgreAnimationState.h.

Ogre::AnimationStateControllerValue::~AnimationStateControllerValue | ( |  | ) |

| Destructor (parent already virtual). Definition at line 193 of file OgreAnimationState.h.

## Member Function Documentation

Real Ogre::AnimationStateControllerValue::getValue | ( | void |  | ) | const`[virtual]`

| ControllerValue implementation. Implements Ogre::ControllerValue< Real >.

void Ogre::AnimationStateControllerValue::setValue | ( | Real | value | ) | `[virtual]`

| ControllerValue implementation. Implements Ogre::ControllerValue< Real >.

## Member Data Documentation

AnimationState* Ogre::AnimationStateControllerValue::mTargetAnimationState `[protected]`

| Definition at line 187 of file OgreAnimationState.h.

The documentation for this class was generated from the following file:

- OgreAnimationState.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:20 2006